# How to become a contributor? 

To become a contributor to ATL Server project you need to do the following steps:
## Get approval of your proposal

Submit your proposal to [altsadmin](http://www.codeplex.com/UserAccount/UserProfile.aspx?UserName=atlsadmin) using contact form on [People](http://www.codeplex.com/AtlServer/Project/ProjectPeople.aspx) and describe your proposal on high level and your credentials as a contributor. 

Every proposal is going to be judged based on the following criteria:
* Usefulness – How many developers who use ATL Server right now are interested in seeing this change? Or will this enable developers to do something that is not possible with ATL Server right now?
* Fit – How does the proposal “fit” within the context of the ATL Server library? Is it significantly different than the spirit of the library? Does it significantly improve the “completeness” of the library?
* Likelihood-of-success – How likely is the proposal to actually work? 
* Coolness – Are the components unique and/or great ideas that highlight the power of the platform?. 

When submitting your idea, please write it up in the following format:
* Contributor Name(s): Your name
* Proposal: Overview of the problem you are trying to solve or idea of the new feature.
* Description of the change: A few senteces that describe details of your solution to the issue or implementation of the new feature.
* Standard Scenario(s): Expected usage scenario(s). Usually it would be a code snippet or short sample
* Estimated Completion Date for prototype: ETA of completion of prototype
* Estimated Completion Date for final: ETA of checkin of completed component

Email this information to [altsadmin](http://www.codeplex.com/UserAccount/UserProfile.aspx?UserName=atlsadmin) of the project using contact form on [People](http://www.codeplex.com/AtlServer/Project/ProjectPeople.aspx) and we will process them in order and get back to you.

## Register on CodePlex.com
Create your account on CodePlex.com. You can find a link to registration in the top right corner of the page.

## Request and sign the Community Assignment Form 
Once your proposal have been approved by the coordinator of the project, email to [ssiadmin](mailto:ssiadmin@microsoft.com) and request Assignment Agreement form. Please make sure to put in subject "ATL Server Library and Tools Project: Requesting the Assignment Agreement". Once CodePlex team receives your email, they are going to send you electronic version of the agreement which you must sign. The email from Codeplex team is detailing how to use the electronic process as well as a blank form to reference before signing. 

Once you have signed the agreement on the electronic site, you will be notified of its completion. Notify the coordinator of ATL Server project that you have completed signing the agreement.

## Install Source Control software

You may access source code of the project via the Internet using either free add on [Visual Studio Team Explorer](http://www.codeplex.com/CodePlex/Wiki/View.aspx?title=Obtaining%20the%20Team%20Explorer%20Client), or [CodePlex Source Control Client](http://www.codeplex.com/CodePlexClient) . For detailed instructions for installing Visual Studio Team Explorer please see [Obtaining the Team Explorer Client](http://www.codeplex.com/CodePlex/Wiki/View.aspx?title=Obtaining%20the%20Team%20Explorer%20Client).

Anyone can go to the ATL Server project site and view or download source, view current issues or look at the project "Wiki". No permissions are required for that access.

## Start contributing to the project 
Once the form is received and Team Explorer is installed, contributors will be granted a developer account on the ATL Server project. Developers are allowed to check in source code changes to the project.

Please note that all code included in the Toolkit is licensed under Microsoft Limited Permissive License (MS-LPL). For complete details of the license refer to the license tab on the site. A copy of the license is also included with the Toolkit distribution.
